t6302: for-each-ref tests for ref-filter APIs
Add a test suite for testing the ref-filter APIs used by for-each-ref. We just intialize the test suite for now. More tests will be added in the following patches as more options are added to for-each-ref. Based-on-patch-by: Jeff King <peff@peff.net> Mentored-by: Christian Couder <christian.couder@gmail.com> Mentored-by: Matthieu Moy <matthieu.moy@grenoble-inp.fr> Signed-off-by: Karthik Nayak <karthik.188@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Karthik Nayak committed
Jul 9, 2015 at 11:33 UTC
af83bafa4867ba16368e58f36e8311e9591e68f4
1 file changed
+26
t/t6302-for-each-ref-filter.sh
new
+26
@@ -0,0 +1,26 @@
1
+#!/bin/sh
2
+
3
+test_description='test for-each-refs usage of ref-filter APIs'
4
+
5
+. ./test-lib.sh
6
+. "$TEST_DIRECTORY"/lib-gpg.sh
7
+
8
+if ! test_have_prereq GPG
9
+then
10
+ skip_all="skipping for-each-ref tests, GPG not available"
11
+ test_done
12
+fi
13
+
14
+test_expect_success 'setup some history and refs' '
15
+ test_commit one &&
16
+ test_commit two &&
17
+ test_commit three &&
18
+ git checkout -b side &&
19
+ test_commit four &&
20
+ git tag -s -m "A signed tag message" signed-tag &&
21
+ git tag -s -m "Annonated doubly" double-tag signed-tag &&
22
+ git checkout master &&
23
+ git update-ref refs/odd/spot master
24
+'
25
+
26
+test_done